[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.Loaded

Performs actions needed when LCL component streaming has been completed.

## Declaration

Source position: comctrls.pp line 3623

`protected procedure TCustomTreeView.Loaded; override;`

## Description

Loaded is an overridden method in TCustomTreeView, and calls the inherited method on entry. At design-time, the FullExpand method is called to expand all of the tree nodes on the control. The UpdateDefaultItemHeight method is called to set property values when tvoAutoItemHeight has been included in the Options for the control.

Loaded is called when the control has been loaded from a resource, transfers the loaded property values to the widget.

## See also

TWinControl.Loaded |  | Performs actions when a component has been loaded during LCL streaming.